gi-gio-2.0.38: Gio bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gio.Structs.IOModuleScope

Contents

- Exported types
- Methods
  - block
  - free

Description

Represents a scope for loading IO modules. A scope can be used for blocking duplicate modules, or blocking a module you don't want to load.

The scope can be used with `g_io_modules_load_all_in_directory_with_scope()` or `ioModulesScanAllInDirectoryWithScope`.

Since: 2.30

Synopsis

- newtype IOModuleScope = IOModuleScope (ManagedPtr IOModuleScope)
- iOModuleScopeBlock :: (HasCallStack, MonadIO m) => IOModuleScope -> Text -> m ()
- iOModuleScopeFree :: (HasCallStack, MonadIO m) => IOModuleScope -> m ()

# Exported types

newtype IOModuleScope Source #

Memory-managed wrapper type.

Constructors

IOModuleScope (ManagedPtr IOModuleScope) |

#### Instances

Instances details

Eq IOModuleScope Source # |
Instance details Defined in GI.Gio.Structs.IOModuleScope Methods (==) :: IOModuleScope -> IOModuleScope -> Bool Source # (/=) :: IOModuleScope -> IOModuleScope -> Bool Source #
BoxedPtr IOModuleScope Source # |
Instance details Defined in GI.Gio.Structs.IOModuleScope Methods boxedPtrCopy :: IOModuleScope -> IO IOModuleScope Source # boxedPtrFree :: IOModuleScope -> IO () Source #
ManagedPtrNewtype IOModuleScope Source # |
Instance details Defined in GI.Gio.Structs.IOModuleScope Methods toManagedPtr :: IOModuleScope -> ManagedPtr IOModuleScope Source #

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

block, free.

#### Getters

None.

#### Setters

None.

## block

iOModuleScopeBlock Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> IOModuleScope | `scope`: a module loading scope
-> Text | `basename`: the basename to block
-> m () |

Block modules with the given `basename` from being loaded when this scope is used with `ioModulesScanAllInDirectoryWithScope` or `g_io_modules_load_all_in_directory_with_scope()`.

Since: 2.30

## free

iOModuleScopeFree Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> IOModuleScope | `scope`: a module loading scope
-> m () |

Free a module scope.

Since: 2.30